Bug 867422 - xwindows malfunction after kernel upgrade
xwindows malfunction after kernel upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 09:32 EDT by Pavel Urban
Modified: 2012-11-09 02:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 02:21:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from working system (81.67 KB, application/octet-stream)
2012-10-17 09:32 EDT, Pavel Urban
no flags Details
log from failing system (58.99 KB, application/octet-stream)
2012-10-17 09:33 EDT, Pavel Urban
no flags Details

  None (edit)
Description Pavel Urban 2012-10-17 09:32:33 EDT
Created attachment 628813 [details]
log from working system

Description of problem:
After upgrading to kernel-3.6.1-1.fc17.x86_64, xorg no longer works with external monitor on my Dell Latitude D630. The system boots up, boot messages get displayed on both external and internal display, but when I try to disable internal display in KDE, the whole xwin gets stuck. It is possible to login via ssh, but 'shutdown -r now' doesn't work. When I try to boot older kernel, everything works just fine - so I assume it is kernel problem.

Version-Release number of selected component (if applicable):

works: kernel-3.5.3-1.fc17.x86_64
doesn't work: kernel-3.6.1-1.fc17.x86_64

How reproducible:

always

Steps to Reproduce:
1. just reboot - xwin login doesn't appear on external monitor while notebook lid is closed as it used to appear. 
2. try to disable internal display - xwin freezes
3.
  
Actual results:

system freezes

Expected results:

system disables internal display, moves everything to external one and it is possible to work

Additional info: Fedora 17, KDE, external monitor connected via VGA connector. Two logfiles from xorg attached; they differ in one part:

working one:
[   116.989] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1832  900 903 909 926 -hsync -vsync (55.7 kHz eP)
[   117.413] (II) intel(0): Allocated new frame buffer 1728x1050 stride 7168, tiled
[   117.713] (II) intel(0): EDID vendor "VSC", prod id 10528

failing one:
[   136.640] (II) intel(0): Modeline "1440x900"x0.0  102.00  1440 1488 1520 1832  900 903 909 926 -hsync -vsync (55.7 kHz eP)
[   137.392] (II) intel(0): EDID vendor "VSC", prod id 10528


...

working one:
[   118.415] (II) intel(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz e)
[   118.750] (II) intel(0): EDID vendor "VSC", prod id 10528
[   118.750] (II) intel(0): Using hsync ranges from config file
[   118.750] (II) intel(0): Using vrefresh ranges from config file
[   118.750] (II) intel(0): Printing DDC gathered Modelines:

failing one:
[   138.720] (WW) intel(0): flip queue failed: Device or resource busy
[   138.746] (WW) intel(0): Page flip failed: Device or resource busy 
[   138.746] (WW) intel(0): divisor 0 get vblank counter failed: Invalid argument
[   138.996] (II) intel(0): EDID vendor "VSC", prod id 10528
[   138.996] (II) intel(0): Using hsync ranges from config file
[   138.996] (II) intel(0): Using vrefresh ranges from config file
[   138.996] (II) intel(0): Printing DDC gathered Modelines:
Comment 1 Pavel Urban 2012-10-17 09:33:40 EDT
Created attachment 628818 [details]
log from failing system
Comment 2 Adam Jackson 2012-10-18 16:52:24 EDT
Can you try again with kernel-3.6.2-4.fc17 ? I believe this is fixed in 3.6.2.
Comment 3 Pavel Urban 2012-10-22 03:30:52 EDT
With kernel-3.6.2-4.fc17, the system behaves differently. When I try to disable internal display, BOTH displays go off. After some time, both displays go on again, but this time the system doesn't freeze. When I try to disable internal display again, it works as expected.

Non-ideal, but acceptable.
Comment 4 Pavel Urban 2012-11-09 02:21:57 EST
OK, after fiddling with KDE settings I've managed to bring back the old behavior. I am satisfied now and closing this case. Thanks for your help!

Note You need to log in before you can comment on or make changes to this bug.